## org.apache.batik.util.gui
Class DOMViewer.Panel.NodeInfo

    java.lang.Object
      org.apache.batik.util.gui.DOMViewer.Panel.NodeInfo

Enclosing class:
  DOMViewer.Panel

protected static class DOMViewer.Panel.NodeInfo
extends java.lang.Object

To store the nodes informations

Field Summary
`protected org.w3c.dom.Node` `node` The DOM node.

Constructor Summary
`DOMViewer.Panel.NodeInfo(org.w3c.dom.Node n)` Creates a new NodeInfo object.

Method Summary
`org.w3c.dom.Node` `getNode()` Returns the DOM Node associated with this node info.
`java.lang.String` `toString()` Returns a printable representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### node

    protected org.w3c.dom.Node node

  The DOM node.

Constructor Detail

### DOMViewer.Panel.NodeInfo

    public DOMViewer.Panel.NodeInfo(org.w3c.dom.Node n)

  Creates a new NodeInfo object.

Method Detail

### getNode

    public org.w3c.dom.Node getNode()

  Returns the DOM Node associated with this node info.

### toString

    public java.lang.String toString()

  Returns a printable representation of the object.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.